Re: [Koha] search quits working
Still no joy on this. Zebra still seems to not reload correctly. my /usr/sbin/koha-stop-zebra file looks like the following: ---------------------------------------------------------------------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. set -e # include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi stop_zebra_instance() { local instancename=$1 local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha-zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi } usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances. Usage: $scriptname instancename1 instancename2... EOF } # Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." ) # Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done exit 0 ------------------------------------------------------------------------------------------------------------------ On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
El Martes 9 de agosto de 2016 17:46, Scott Owen <sowen@edzone.net> escribió: My script is as yours.If I run /etc/init.d/koha-common status I have only see koha-indexer but not zebra, but If I run ps aux I can see a pair of zebra jobs. Into Intranet, in about section I hae not complains about zebra, and searching is running well. REgards Still no joy on this. Zebra still seems to not reload correctly. my /usr/sbin/koha-stop-zebra file looks like the following: ---------------------------------------------------------------------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. set -e # include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi stop_zebra_instance() { local instancename=$1 local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha-zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi } usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances. Usage: $scriptname instancename1 instancename2... EOF } # Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." ) # Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done exit 0 ------------------------------------------------------------------------------------------------------------------ On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
El 09/08/16 a las 18:38, Nombre Apellido escribió:
El Martes 9 de agosto de 2016 17:46, Scott Owen <sowen@edzone.net> escribió: My script is as yours. If I run /etc/init.d/koha-common status I have only see koha-indexer but not zebra, but If I run ps aux I can see a pair of zebra jobs.
I'm thinking: when I start /etc/init.d/koha-common there are a cgroup with 4 jobs, after first log rotation, there are only two, and some times, zebra is not running. Maybe an issue with systemd?
Into Intranet, in about section I hae not complains about zebra, and searching is running well.
REgards
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
---------------------------------------------------------------------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net <mailto:sowen@edzone.net>> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com <mailto:mtompset@hotmail.com>> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph <http://www.tulongaklatan.ph/>> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph <mailto:mark.tompsett@tulongaklatan.ph> *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org <http://koha-community.org/> Koha@lists.katipo.co.nz <mailto:Koha@lists.katipo.co.nz> https://lists.katipo.co.nz/mailman/listinfo/koha
Hi all, I still seem to be having some issues with logrotate and the zebra service starting up.... I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885 (modify postrotate, and modify koha-stop-zebra) In my case, neither (or both) of them seems to be a "reliable" fix. Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ?? any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-) Thanks, -S On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
Greetings, If you were going to supplement your issues with a cron job, 6:00am wouldn't fix your problem for a whole day. Since logrotate runs at around 7:35AM, it would make more sense to trigger something like around 7:55AM. Sure it's 20 minutes of index-less-ness, but you can be assured it will be there. Trying to start zebra again with the appropriate scripts will not cause a hiccup. Though, you'll want to redirect output to /dev/null, so you don't get flooded with cronjob emails. GPML, Mark Tompsett -----Original Message----- From: Scott Owen Sent: Monday, August 22, 2016 8:27 AM To: koha Subject: Re: [Koha] search quits working Hi all, I still seem to be having some issues with logrotate and the zebra service starting up.... I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885 (modify postrotate, and modify koha-stop-zebra) In my case, neither (or both) of them seems to be a "reliable" fix. Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ?? any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-) Thanks, -S On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
So.....if a guy *was* going to add a zebra load line of "koha-start-zebra <instance>" to a cron job..... and try to get said job to run daily @ 7:55AM Any suggestions of where/how/what to accomplish this ?? Is there an existing cron.daily (in the etc dir ?) that I should use.....or does Koha have it's own crontab/cron settings ? On Mon, Aug 22, 2016 at 9:19 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
If you were going to supplement your issues with a cron job, 6:00am wouldn't fix your problem for a whole day. Since logrotate runs at around 7:35AM, it would make more sense to trigger something like around 7:55AM. Sure it's 20 minutes of index-less-ness, but you can be assured it will be there.
Trying to start zebra again with the appropriate scripts will not cause a hiccup. Though, you'll want to redirect output to /dev/null, so you don't get flooded with cronjob emails.
GPML, Mark Tompsett
-----Original Message----- From: Scott Owen Sent: Monday, August 22, 2016 8:27 AM To: koha Subject: Re: [Koha] search quits working
Hi all,
I still seem to be having some issues with logrotate and the zebra service starting up....
I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885
(modify postrotate, and modify koha-stop-zebra)
In my case, neither (or both) of them seems to be a "reliable" fix.
Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ??
any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-)
Thanks,
-S
On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
For a package install, this is set up in /etc/cron.daily/koha_common; it uses koha-foreach to call the script for each instance. I think it's commented out by default; un-commenting it should enable. On Wed, Aug 24, 2016 at 9:18 AM, Scott Owen <sowen@edzone.net> wrote:
So.....if a guy *was* going to add a zebra load line of "koha-start-zebra <instance>" to a cron job..... and try to get said job to run daily @ 7:55AM
Any suggestions of where/how/what to accomplish this ??
Is there an existing cron.daily (in the etc dir ?) that I should use.....or does Koha have it's own crontab/cron settings ?
On Mon, Aug 22, 2016 at 9:19 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
If you were going to supplement your issues with a cron job, 6:00am wouldn't fix your problem for a whole day. Since logrotate runs at around 7:35AM, it would make more sense to trigger something like around 7:55AM. Sure it's 20 minutes of index-less-ness, but you can be assured it will be there.
Trying to start zebra again with the appropriate scripts will not cause a hiccup. Though, you'll want to redirect output to /dev/null, so you don't get flooded with cronjob emails.
GPML, Mark Tompsett
-----Original Message----- From: Scott Owen Sent: Monday, August 22, 2016 8:27 AM To: koha Subject: Re: [Koha] search quits working
Hi all,
I still seem to be having some issues with logrotate and the zebra service starting up....
I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885
(modify postrotate, and modify koha-stop-zebra)
In my case, neither (or both) of them seems to be a "reliable" fix.
Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ??
any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-)
Thanks,
-S
On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/> .
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
OK....so... I have a /etc/cron.daily/koha-common that looks like this: ******************************************************************************** #!/bin/sh # /etc/cron.daily/koha-common -- Daily housekeeping tasks for all Kohas. # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. koha-foreach --enabled --email /usr/share/koha/bin/cronjobs/ overdue_notices.pl -t koha-foreach --enabled /usr/share/koha/bin/cronjobs/fines.pl koha-foreach --enabled --email /usr/share/koha/bin/cronjobs/ advance_notices.pl -c koha-foreach --enabled /usr/share/koha/bin/cronjobs/membership_expiry.pl -c koha-foreach --enabled /usr/share/koha/bin/cronjobs/holds/ cancel_expired_holds.pl >/dev/null 2>&1 koha-foreach --enabled /usr/share/koha/bin/cronjobs/services_throttle.pl > /dev/null 2>&1 koha-foreach --enabled /usr/share/koha/bin/cronjobs/cleanup_database.pl --sessions --zebraqueue 10 --list-invites koha-foreach --enabled --noemail /usr/share/koha/bin/cronjobs/ cleanup_database.pl --mail koha-foreach --enabled /usr/share/koha/bin/cronjobs/holds/ auto_unsuspend_holds.pl > /dev/null 2>&1 koha-foreach --enabled /usr/share/koha/bin/cronjobs/automatic_renewals.pl koha-run-backups --days 2 --output /var/spool/koha ********************************************************************************************* Do I simply wan to add a line: koha-foreach --enabled /usr/sbin/koha-start-zebra to the bottom of the file ?? Will this run the koha-start-zebra command at the appropriate time ?? Or is there a "better" solution ?? On Wed, Aug 24, 2016 at 9:28 AM, Barton Chittenden < barton@bywatersolutions.com> wrote:
For a package install, this is set up in /etc/cron.daily/koha_common; it uses koha-foreach to call the script for each instance. I think it's commented out by default; un-commenting it should enable.
On Wed, Aug 24, 2016 at 9:18 AM, Scott Owen <sowen@edzone.net> wrote:
So.....if a guy *was* going to add a zebra load line of "koha-start-zebra <instance>" to a cron job..... and try to get said job to run daily @ 7:55AM
Any suggestions of where/how/what to accomplish this ??
Is there an existing cron.daily (in the etc dir ?) that I should use.....or does Koha have it's own crontab/cron settings ?
On Mon, Aug 22, 2016 at 9:19 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
If you were going to supplement your issues with a cron job, 6:00am wouldn't fix your problem for a whole day. Since logrotate runs at around 7:35AM, it would make more sense to trigger something like around 7:55AM. Sure it's 20 minutes of index-less-ness, but you can be assured it will be there.
Trying to start zebra again with the appropriate scripts will not cause a hiccup. Though, you'll want to redirect output to /dev/null, so you don't get flooded with cronjob emails.
GPML, Mark Tompsett
-----Original Message----- From: Scott Owen Sent: Monday, August 22, 2016 8:27 AM To: koha Subject: Re: [Koha] search quits working
Hi all,
I still seem to be having some issues with logrotate and the zebra service starting up....
I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885
(modify postrotate, and modify koha-stop-zebra)
In my case, neither (or both) of them seems to be a "reliable" fix.
Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ??
any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-)
Thanks,
-S
On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/ .
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${insta ncename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
Hi I use to keep track of the release notes for the Koha revisions. These are the links I collected so far for Koha 3.22: * https://koha-community.org/koha-3-22-released/ * https://koha-community.org/koha-3-22-1-released/ * https://koha-community.org/koha-3-22-2-released/ * https://koha-community.org/koha-3-22-3-security-release/ * https://koha-community.org/koha-3-22-4-release/ * https://koha-community.org/koha-3-22-5-security-release/ * https://koha-community.org/koha-3-22-6-security-release/ * https://koha-community.org/koha-3-22-7-security-release/ * https://koha-community.org/koha-3-22-8-security-release/ * https://koha-community.org/koha-release-3-22-9/ * https://koha-community.org/koha-3-22-10-security-release/ Only the first and the last of these URLs are still working - all others have mysteriously diasppeared - instead I am redirected to https://koha-community.org/ Where can I find the missing release notes? Best wishes: Michael -- Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg. Fachausweis Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz T 0041 (0)61 261 55 61 · E mik@adminkuhn.ch · W www.adminkuhn.ch
On 26 August 2016 at 01:10, Michael Kuhn <mik@adminkuhn.ch> wrote:
Hi
I use to keep track of the release notes for the Koha revisions. These are the links I collected so far for Koha 3.22:
* https://koha-community.org/koha-3-22-released/ * https://koha-community.org/koha-3-22-1-released/ * https://koha-community.org/koha-3-22-2-released/ * https://koha-community.org/koha-3-22-3-security-release/ * https://koha-community.org/koha-3-22-4-release/ * https://koha-community.org/koha-3-22-5-security-release/ * https://koha-community.org/koha-3-22-6-security-release/ * https://koha-community.org/koha-3-22-7-security-release/ * https://koha-community.org/koha-3-22-8-security-release/ * https://koha-community.org/koha-release-3-22-9/ * https://koha-community.org/koha-3-22-10-security-release/
Only the first and the last of these URLs are still working - all others have mysteriously diasppeared - instead I am redirected to https://koha-community.org/
Someone had moved them to the trash. I've restored them, and republished 2, 3.22.9 and 3.22.8 I'm leaving the others so Liz can have a look and see if we can spot who moved them to the trash before they are all restored. Chris
On 25/08/2016 15:31, Chris Cormack wrote:
Someone had moved them to the trash.
My account has recently been flagged as spammer (I don't know why), that's probably why they have been moved to trash. I asked Liz to restore them. -- Julian Maurice <julian.maurice@biblibre.com> BibLibre
On Thu, Aug 25, 2016 at 8:07 AM, Scott Owen <sowen@edzone.net> wrote:
koha-foreach --enabled /usr/sbin/koha-start-zebra
to the bottom of the file ?? Will this run the koha-start-zebra command at the appropriate time ??
Or is there a "better" solution ??
I think you'll need to use this at the end of the file: koha-foreach --enabled /usr/sbin/koha-stop-zebra > /dev/null 2>&1 sleep 120 koha-foreach --enabled /usr/sbin/koha-start-zebra > /dev/null 2>&1 That will let running searches stop before zebra is re-started. If you want to restart this at 07:55 as Mark Tompsett proposed, you'll have to use /etc/cron.d/koha-common instead. In that case, I'd put the commands inside a shell script and call that from inside the cron... let's call it /path/to/myrestartzebra.sh Note that cron.d requires the user to run as after the time options, which would look like this: 55 7 * * * root /path/to/myrestartzebra.sh All of this is off the seat of my pants, so test the individual pieces by hand. For instance, I know that you'll need to set PATH explicitly in myrestartzebra.sh, because cron probably doesn't have that set.
El 22/08/16 a las 14:27, Scott Owen escribió:
Hi all,
I still seem to be having some issues with logrotate and the zebra service starting up....
I have tried both of the options discussed in bug # https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=16885
I'm having problems with modified koha-stop-zebra too. I've added option --remove-pid-file too but without success. In my case, it seems there are a zebra shutdown at prerotate, and (strange) other in postrotate (or after finish logrotate for koha), maybe logrotate for apache?
(modify postrotate, and modify koha-stop-zebra)
In my case, neither (or both) of them seems to be a "reliable" fix.
Is there any way I could kludge together some sort of CRON job to reload the zerbra service daily ?? (at say 6:00AM) or would this be a bad thing to do ..... ie: if zebra IS running, will trying to load it again cause a major hiccup ??
any other ideas on this ?? With students returning soon, I'd really like to get this off my "to-do" list. :-)
Thanks,
-S
On Tue, Aug 9, 2016 at 11:45 AM, Scott Owen <sowen@edzone.net> wrote:
Still no joy on this.
Zebra still seems to not reload correctly.
my /usr/sbin/koha-stop-zebra file looks like the following:
------------------------------------------------------------ ---------------------------------------------------- #!/bin/sh # # koha-stop-zebra - Stop Zebra for named Koha instances # Copyright 2010 Catalyst IT, Ltd # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>.
set -e
# include helper functions if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then . "/usr/share/koha/bin/koha-functions.sh" else echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2 exit 1 fi
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}- koha-zebra.pid" echo "Stopping Zebra server for $instancename"
if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi
}
usage() { local scriptname=$0 cat <<EOF Stops Zebra for Koha instances.
Usage: $scriptname instancename1 instancename2...
EOF }
# Parse command line. #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
# Loop through the instance names for name in "$@" do if is_instance $name ; then if is_zebra_running $name; then if ! stop_zebra_instance $name; then warn "Something went wrong stopping Zebra for $name." fi else warn "Zebra already stopped for instance $name." fi else warn "Unknown instance $name." fi done
exit 0 ------------------------------------------------------------ ------------------------------------------------------
On Mon, Aug 8, 2016 at 8:58 AM, Scott Owen <sowen@edzone.net> wrote:
OK...I tried this, and it seems to have made no difference ?
I'm rebooting the Koha server now, to make sure I have a clean start....I'll try letting it sit for a day or two and see how it goes.
(Maybe after I made the file changes the system needs a bounce ?)
-S
On Sat, Aug 6, 2016 at 8:03 AM, Mark Tompsett <mtompset@hotmail.com> wrote:
Greetings,
And now for the off-list, WRONG way of doing it, because you don’t want to limp along.
$ sudo cp /usr/sbin/koha-stop-zebra /usr/sbin/koha-stop-zebra.Help MeItMessedUp $ sudo nano /usr/sbin/koha-stop-zebra
Now your goal is to make the stop_zebra_instance function look exactly like the patch lines.
stop_zebra_instance() { local instancename=$1
local PIDFILE="/var/run/koha/${instancename}/${instancename}-koha- zebra.pid" echo "Stopping Zebra server for $instancename" if start-stop-daemon --pidfile ${PIDFILE} --stop --quiet --retry=TERM/30/KILL/5; then return 0; else return 1; fi }
Sorry the message sent too early. Hope this helps. For the record, I’m physically in Toronto, Ontario, Canada, even though the company is in the Philippines.
GPML, ------------------------------ [image: Tulong Aklatan logo] <http://www.tulongaklatan.ph> *Mark Tompsett* Co-founder & Chief Technical Officer mark.tompsett@tulongaklatan.ph *Tamayao's Library Hosting Services* 3067 Tolentino St., Pinagkaisahan, Makati City, NCR, Fourth District www.tulongaklatan.ph
_______________________________________________ Koha mailing list http://koha-community.org Koha@lists.katipo.co.nz https://lists.katipo.co.nz/mailman/listinfo/koha
participants (8)
-
Barton Chittenden -
Chris Cormack -
Julian Maurice -
Mark Tompsett -
Michael Kuhn -
Nombre -
Nombre Apellido -
Scott Owen